summaryrefslogtreecommitdiffstats
path: root/source/ap/hplip
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/hplip')
-rw-r--r--source/ap/hplip/hplip.56-hpmud.background.diff11
-rwxr-xr-xsource/ap/hplip/hplip.SlackBuild27
-rw-r--r--source/ap/hplip/setup.py.lc_all.c.diff11
-rw-r--r--source/ap/hplip/slack-desc2
4 files changed, 24 insertions, 27 deletions
diff --git a/source/ap/hplip/hplip.56-hpmud.background.diff b/source/ap/hplip/hplip.56-hpmud.background.diff
deleted file mode 100644
index 5684687b6..000000000
--- a/source/ap/hplip/hplip.56-hpmud.background.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./data/rules/56-hpmud.rules.orig 2013-08-07 01:02:33.000000000 -0500
-+++ ./data/rules/56-hpmud.rules 2013-08-25 14:46:44.223976578 -0500
-@@ -12,7 +12,7 @@
-
-
- # This rule will add the printer and install plugin
--ENV{hp_test}=="yes", PROGRAM="/bin/sh -c 'logger -p user.info loading HP Device $env{BUSNUM} $env{DEVNUM}'", RUN+="/bin/sh -c 'if [ -f /usr/bin/systemctl ]; then /usr/bin/systemctl --no-block start hplip-printer@$env{BUSNUM}:$env{DEVNUM}.service; else /usr/bin/nohup /usr/bin/hp-config_usb_printer $env{BUSNUM}:$env{DEVNUM} ; fi'"
-+ENV{hp_test}=="yes", PROGRAM="/bin/sh -c 'logger -p user.info loading HP Device $env{BUSNUM} $env{DEVNUM}'", RUN+="/bin/sh -c 'if [ -f /usr/bin/systemctl ]; then /usr/bin/systemctl --no-block start hplip-printer@$env{BUSNUM}:$env{DEVNUM}.service; else /usr/bin/nohup /usr/bin/hp-config_usb_printer $env{BUSNUM}:$env{DEVNUM} & ; fi'"
-
- # If sane-bankends is installed add hpaio backend support to dll.conf if needed.
- ENV{sane_hpaio}=="yes", RUN+="/bin/sh -c 'grep -q ^#hpaio /etc/sane.d/dll.conf;if [ $$? -eq 0 ];then sed -i -e s/^#hpaio/hpaio/ /etc/sane.d/dll.conf;else grep -q ^hpaio /etc/sane.d/dll.conf;if [ $$? -ne 0 ];then echo hpaio >>/etc/sane.d/dll.conf;fi;fi'"
diff --git a/source/ap/hplip/hplip.SlackBuild b/source/ap/hplip/hplip.SlackBuild
index 08a62d885..fdce0c049 100755
--- a/source/ap/hplip/hplip.SlackBuild
+++ b/source/ap/hplip/hplip.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for hplip
# Copyright 2006-2010 Robby Workman, Northport, Alabama, USA
-# Copyright 2006-2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,22 +25,22 @@
PKGNAM=hplip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -66,9 +66,9 @@ tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
zcat $CWD/hplip.no.upgrade.diff.gz | patch -p1 --verbose || exit 1
-# Upstream added nohup to the rule, but didn't background with '&'.
-# Fix this to prevent a startup delay:
-zcat $CWD/hplip.56-hpmud.background.diff.gz | patch -p1 --verbose || exit 1
+
+# Set LC_ALL=C to fix issues with CUPS output parsing in hp-setup:
+zcat $CWD/setup.py.lc_all.c.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
@@ -77,11 +77,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix udev rules for current versions of udev
-sed -i 's/SYSFS/ATTR/g' data/rules/*.rules
-# Fix ownership in udev rules file
-sed -i 's%OWNER="lp"%OWNER="root"%g' data/rules/*.rules
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -93,13 +88,15 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--docdir=/usr/doc/hplip-$VERSION \
--with-docdir=/usr/doc/hplip-$VERSION \
- --with-hpppddir=/usr/share/cups/model/HP \
- --with-drvdir=/usr/share/cups/drv/hp \
+ --with-htmldir=/usr/doc/hplip-$VERSION/html \
+ --with-hpppddir=/usr/share/ppd/HP \
+ --with-drvdir=/usr/share/cups/drv/HP \
--enable-hpijs-install \
--enable-shadow-build \
--enable-scan-build \
--enable-gui-build \
--enable-fax-build \
+ --enable-doc-build \
--enable-foomatic-rip-hplip-install \
--disable-foomatic-ppd-install \
--enable-foomatic-drv-install \
diff --git a/source/ap/hplip/setup.py.lc_all.c.diff b/source/ap/hplip/setup.py.lc_all.c.diff
new file mode 100644
index 000000000..2087962a1
--- /dev/null
+++ b/source/ap/hplip/setup.py.lc_all.c.diff
@@ -0,0 +1,11 @@
+--- ./setup.py.orig 2016-05-04 00:23:31.000000000 -0500
++++ ./setup.py 2016-06-01 13:55:52.173789909 -0500
+@@ -42,6 +42,8 @@
+ pass
+
+
++# Set LC_ALL=C so that we can properly parse info from CUPS:
++os.environ["LC_ALL"] = "C"
+
+ # Local
+ from base.g import *
diff --git a/source/ap/hplip/slack-desc b/source/ap/hplip/slack-desc
index 874e6ed69..1eff84185 100644
--- a/source/ap/hplip/slack-desc
+++ b/source/ap/hplip/slack-desc
@@ -5,7 +5,7 @@
# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
- |-----handy-ruler--------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
hplip: hplip (HP print/scan/fax support)
hplip:
hplip: HPLIP is an HP developed solution for printing, scanning, and faxing